### Method

# Ide HeaderBar get_menu_id

#### Declaration

    const gchar*
    ide_header_bar_get_menu_id (
      IdeHeaderBar* self
    )

#### Description

Gets the menu-id to show in the workspace window.

Available since: | 3.32

Gets property | `Ide.HeaderBar:menu-id`

#### Return value

Returns: | `const gchar*`
| A string containing the menu-id, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.